OCP(1)

NAME

ocp
     - Standard Cell Placer

SYNOPSIS

ocp [options] netlist outputname

DESCRIPTION
ocp is an automatic place tool for standard-cells.
input net-list
The netlist file describes the input net-list.
ocp supports a hierarchical net-list. In this case the net-list is flattened by the placer according to the catalog file. The net-list format can be : structural VHDL, EDIF, or ALLIANCE internal format according to the environment variable MBK_IN_LO.
output layout
The file containing the placed block will have the name outputname. This name is not optionnal and must always be present. The output format is defined by the environment variable MBK_OUT_PH.

OPTIONS
Optional cells placement file
-partial <NAME>
A user defined placement can be specified, thanks to a placement file.
The optional placement file must be given by the user. It must have an extension that denotes the format defined by the environment variable MBK_IN_PH.
Optional connectors placement
The placement of connectors can be also specified.
There are three ways to place connectors in a physical view :
-c option will automatically place the connectors randomly. The auto placement will set connectors on each side of the abutment box.
-ring option will automatically place the connectors randomly but only on the north and south side. This option is temporary and is provided for the ring pad placement tool.
-ioc <NAME> option will place connectors as specified by the <NAME>.ioc given file.
Margin
It is possible to force the free area of the physical view.
The -margin <MARGIN> option allow to set The amount of free area added in percentage of the cells area.
The resulting area will be equal to CELL_AREA * (1 + <MARGIN>).
By default, the margin value is 0.2 (20%)
Number of rows
-rows <NR> option forces the design to be placed in <NR> rows.
The abutment box's width is automatically generated.
This option won't be used if a defined placement file is given.
Verbose mode
-v set the verbose mode on
Gnuplot
-gnuplot option allow to generate automatically gnuplot files, for editing statistics

ENVIRONMENT VARIABLES

ocp uses the environment variables MBK_VDD and MBK_VSS to know the name of the power signals vdd and vss.

SEE ALSO

ocr(1), MBK_IN_LO(1), MBK_IN_PH(1), MBK_OUT_PH(1), MBK_VDD(1), MBK_VSS(1)